### Method

# Lasem DomNode append_child

#### Declaration [src]

    LsmDomNode*
    lsm_dom_node_append_child (
      LsmDomNode* self,
      LsmDomNode* new_child
    )

#### Description [src]

Adds the node `new_child` to the end of the list of children of this node. If the `new_child` is already in the tree, it is first removed.

#### Parameters

`new_child`

  Type: `LsmDomNode`

  Node to append.

  The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `LsmDomNode`

The added node.

The returned data is owned by the instance.